---
layout: release
date: 2021-01-26
tag: v0.5.0-beta-1
---

## What's New

## 🔤 General
- persistence changes for meshsync data @kumarabd (#2293)
- [mesheryctl] Feature: `system reset --context/-c` to temporarily change context @navendu-pottekkat (#2288)
- Revert "Fix Netlify configuration to only build on "docs" changes" @ramrodo (#2291)
- Fix Netlify configuration to only build on "docs" changes @ramrodo (#2289)
- [Chart] Bump the charts version @Aisuko (#2286)
- [mesheryctl] Feature: `system reset` should ask confirmation from the user @navendu-pottekkat (#2287)
- Promote Traefik Mesh @SantoDE (#2263)
- [mesheryctl] Make 'system reset' context aware @navendu-pottekkat (#2265)
- add configuration env.SAAS_BASE_URL to values.yaml @zjyingchang (#2282)
- Kumarabd/feature/graphql @kumarabd (#2276)
- change image name nginx @navendu-pottekkat (#2275)
- [Docs] mesheryctl command reference collection @chandrashritii (#2264)
- changes for MESHSYNC persistence @kumarabd (#2150)
- [mesheryctl] Dynamically modified docker-compose based on current-context @anirudhjain75 (#2236)
- Add stats collection @utkarsh-pro (#2244)
- Adding Operator Settings in Environments Tab @dhruv0000 (#2243)
- Runtime Error Fix @vinayaksh42 (#2240)
- Fix performance test result download @utkarsh-pro (#2238)
- Restyle notifications and notification drawer @utkarsh-pro (#2237)
- mesheryctl: Added current-context for system channel command @SudhanAruna (#2209)
- remotecomponent for userpref @vineethvanga18 (#2227)
- [UI] Add Favicon for both provider ui and ui @weastel (#2233)
- Replace route2 to intercept command in Cypress tests @ramrodo (#2216)
- Added Relay Environment @dhruv0000 (#2205)
- Realign pic in Functionality section of main README @alphaX86 (#2229)
- [mesheryctl] Add support for EKS config @hexxdump (#1995)
- Remove cfg.go and its remnants from a faulty merge @anirudhjain75 (#2230)
- [CI] Goreleaser support for release channel @leecalcote (#2221)
- Replace hardcoded URL with Endpoints from context @anirudhjain75 (#2199)
- fix: mesheryctl build config uses deprecated options @kushthedude (#2206)
- Add a GOPROXY @ramrodo (#2198)
- [mesheryctl] Pre-run check before checking system version @uds5501 (#2109)
- Add SAAS_BASE_URL to docker-compose again to support stable release @utkarsh-pro (#2193)
- Add parameters on the chart's readme @Aisuko (#2146)
- [mesheryctl] Split config functionality and refractor @anirudhjain75 (#2163)
- Promote Meshery Adapter for Traefik Mesh to beta @utkarsh-pro (#2189)
- None provider version synced with meshery versions @utkarsh-pro (#2156)
- updated traefik mesh status @kevtainer (#2143)
- [WIP] UI Extension points @utkarsh-pro (#2145)
- [API] Restructure user preferences endpoint @leecalcote (#2142)
- [Meshery] NATS subscriber implementation @kalradev (#2144)
- Broken SMP reference; broken prompt-ui references @leecalcote (#2135)
- Added SMP versioning @dhruv0000 (#2129)
- [mesheryctl] Revert interactive prompt to classic y/n @uds5501 (#2108)
- Fetch version from ldflags @anirudhjain75 (#2124)
- Correct channel command execution message @JubayerJoy (#2103)
- Add Grafana Charts to the Service Mesh Management Page @utkarsh-pro (#2081)
- fix: nighthawk-go library version @kushthedude (#2097)
- Remove default location from usage test and let cobra handle that @anirudhjain75 (#2032)

## 🚀 Features

- feat: invoke nighthawk in meshery @kushthedude (#2096)

## 🧰 Maintenance

- [CI] Implement Code Coverage for Cypress tests @ramrodo (#2258)
- [CI] Add e2e tests to Settings > Service Meshes / consul @ramrodo (#2218)
- Bump next from 10.0.3 to 10.0.5 in /provider-ui @dependabot-preview (#2223)
- Bump github.com/layer5io/nighthawk-go from 0.1.4 to 0.1.5 @dependabot-preview (#2172)
- Add release_channel to the version api response and remove radio buttons from the UI @utkarsh-pro (#2200)
- Bump codemirror from 5.59.0 to 5.59.1 in /ui @dependabot-preview (#2178)
- Bump eslint-plugin-react from 7.21.5 to 7.22.0 in /provider-ui @dependabot-preview (#2185)
- Bump cypress from 6.1.0 to 6.2.0 in /provider-ui @dependabot-preview (#2181)
- Bump start-server-and-test from 1.11.6 to 1.11.7 in /ui @dependabot-preview (#2182)
- Bump @babel/types from 7.12.11 to 7.12.12 in /ui @dependabot-preview (#2180)
- Bump start-server-and-test from 1.11.6 to 1.11.7 in /provider-ui @dependabot-preview (#2183)
- Bump eslint-plugin-react from 7.21.5 to 7.22.0 in /ui @dependabot-preview (#2177)
- Bump caniuse-lite from 1.0.30001170 to 1.0.30001171 in /ui @dependabot-preview (#2176)
- Bump @babel/traverse from 7.12.10 to 7.12.12 in /ui @dependabot-preview (#2188)
- Bump notistack from 1.0.2 to 1.0.3 in /ui @dependabot-preview (#2179)
- Bump gopkg.in/yaml.v2 from 2.3.0 to 2.4.0 @dependabot-preview (#2171)
- Bump fortio.org/fortio from 1.11.0 to 1.11.4 @dependabot-preview (#2175)
- Bump github.com/gofrs/uuid from 3.3.0+incompatible to 3.4.0+incompatible @dependabot-preview (#2167)
- Bump github.com/prometheus/client_golang from 1.8.0 to 1.9.0 @dependabot-preview (#2174)
- Bump cypress from 6.1.0 to 6.2.0 in /ui @dependabot-preview (#2184)
- Bump @fortawesome/react-fontawesome from 0.1.13 to 0.1.14 in /ui @dependabot-preview (#2187)
- [CI] Add e2e test for /settings > Environment @ramrodo (#2139)
- fix: ci issues in ui @kushthedude (#2192)
- [mesheryctl] Add context commands @anirudhjain75 (#2104)
- Move from SAAS_BASE_URL env variable to PROVIDER_BASE_URLS @utkarsh-pro (#2155)
- Docs: Fixed the ordering of releases in releases page @SudhanAruna (#2140)
- CI: Fix for release drafter CI creating release note file job. @SudhanAruna (#2133)
- CI: Fix for release drafter CI creating release note file job. @SudhanAruna (#2131)
- Docs: Modified release page to use release collections @SudhanAruna (#2114)
- Bump caniuse-lite from 1.0.30001166 to 1.0.30001170 in /ui @dependabot-preview (#2118)
- Bump eslint from 7.15.0 to 7.16.0 in /ui @dependabot-preview (#2116)
- CI: Modified to create changelog file for release @SudhanAruna (#2039)
- Bump @babel/types from 7.12.10 to 7.12.11 in /ui @dependabot-preview (#2119)
- Bump codemirror from 5.58.3 to 5.59.0 in /ui @dependabot-preview (#2120)
- Bump react-moment from 1.0.0 to 1.1.1 in /ui @dependabot-preview (#2117)
- Bump eslint from 7.15.0 to 7.16.0 in /provider-ui @dependabot-preview (#2121)
- Bump mui-datatables from 3.7.1 to 3.7.3 in /ui @dependabot-preview (#2095)
- Bump @babel/types from 7.12.7 to 7.12.10 in /ui @dependabot-preview (#2090)
- Bump js-yaml from 3.13.1 to 3.14.1 in /ui @dependabot-preview (#2091)
- Bump @babel/traverse from 7.12.9 to 7.12.10 in /ui @dependabot-preview (#2094)
- Add GIT_VERSION argument @uds5501 (#2080)
- Bump caniuse-lite from 1.0.30001165 to 1.0.30001166 in /ui @dependabot-preview (#2088)
- Bump uuid from 8.3.1 to 8.3.2 in /ui @dependabot-preview (#2086)
- feat: seperate website build from meshery @kushthedude (#2082)
- Bump react and react-dom in /provider-ui @dependabot-preview (#2089)
- Bump cypress from 6.0.1 to 6.1.0 in /provider-ui @dependabot-preview (#2087)
- Bump cypress from 6.0.1 to 6.1.0 in /ui @dependabot-preview (#2093)
- Bump husky from 4.3.5 to 4.3.6 in /ui @dependabot-preview (#2092)

## 📖 Documentation

- [Docs] FAQ: Running Meshery Locally @leecalcote (#2259)
- This PR fixes Link for SMP project @jaybatra26 (#2255)
- [Docs] Build and Release (CI) page @leecalcote (#2252)
- [ImgBot] Optimize images @imgbot (#2250)
- A hackish but working solution for Upgrading Meshery @hwpplayer1 (#2249)
- [Docs] minikube guide - typo-fix @chandrashritii (#2235)
- [CI] Fix netlify CI tests @ramrodo (#2220)
- [Docs] Update to Meshery Extension Point diagram @leecalcote (#2197)
- [Extensibility] Addition of GraphQL @leecalcote (#2153)
- Move from SAAS_BASE_URL env variable to PROVIDER_BASE_URLS @utkarsh-pro (#2155)
- [ImgBot] Optimize images @imgbot (#2152)
- [Extensibility] Update on Remote Providers and Extension Points @leecalcote (#2151)
- remove outdate brew install instructions @ishankhare07 (#2149)
- Docs: Fixed the ordering of releases in releases page @SudhanAruna (#2140)
- Name change from Maesh to Traefik Mesh @pjzzz (#2132)
- [Docs] Update site permalinks @chandrashritii (#2084)
- Docs: Modified release page to use release collections @SudhanAruna (#2114)
- [Docs] Fix WSL1 hide/show button UX issue @Shulammite-Aso (#2079)
- [Docs] Fix extensibility links @leecalcote (#2106)
- [Docs] Restructure Meshery Extensibility docs; Publish Meshery Adapter extensibility details @leecalcote (#2101)
- feat: seperate website build from meshery @kushthedude (#2082)
- [Docs] Clipboard Plugin - Fix styling @chandrashritii (#2083)
- [Docs] Update minikube installation instructions @chandrashritii (#2085)
