---
layout: release
date: 2021-11-26
tag: v0.6.0-rc-1
---

## What's New
## 🔤 General
- [bug] fix failing operator installation due to malformed version @DelusionalOptimist (#4668)
- [bugs] fix bugs while unarchiving provider pkg @DelusionalOptimist (#4663)
- [Extension] upgrade meshsync version to match meshery extension @bariqhibat (#4662)
- switch to helm based operator deployments in meshery server @DelusionalOptimist (#4641)
- Updated Meshery Roadmap @vedant-kakde (#4648)
- Add support for Labels and Annotations in Patterns @utkarsh-pro (#4640)

## ⌨️ Meshery CLI

- [mesheryctl] `system dashboard`  @piyushsingariya (#4557)
- refactor: move from io/ioutil to io and os packages @Juneezee (#4653)
- Refine examples in perf commands @alphaX86 (#4628)
- Remove namespace on `system stop` and add flag to keep the namespace @panyuenlau (#4581)

## 🖥 Meshery UI

- Fix 'UI build' PR workflow job - provider-ui npm ERR! code EBADPLATFORM due to how optional dependencies are resolved in npm v6 @MarioArriaga92 (#4675)
- Fix JSHint errors @Shatakshi0805 (#4424)
- Pattern Configurator: Fix issues with PAtternConfigurator @Abhishek-kumar09 (#4660)
- [UI] Scrollbar styles fix globally @Chadha93 (#4658)
- [UI] Changes in Navigator @manav1403 (#4465)
- [Pattern] New Pattern Configurator UI @Abhishek-kumar09 (#4464)
- [Extensions] smi-icon-extension @Chadha93 (#4646)
- [Extension] add remote config @bariqhibat (#4643)
- [Extensions] Terminal and sessions icon @Chadha93 (#4632)
- initial versioning of docs @warunicorn19 (#4560)
- Bump @fortawesome/free-solid-svg-icons from 5.15.3 to 5.15.4 in /ui @dependabot (#4616)
- Bump nodemon from 2.0.13 to 2.0.15 in /provider-ui @dependabot (#4609)
- Bump eslint-plugin-react from 7.26.1 to 7.27.0 in /provider-ui @dependabot (#4610)
- Bump cypress from 8.5.0 to 9.0.0 in /provider-ui @dependabot (#4608)
- [Extension] RJSF and Pattern Service Form extension @utkarsh-pro (#4603)

## 🔋 Patterns, Filters, Applications

- Pattern Configurator: Fix issues with PAtternConfigurator @Abhishek-kumar09 (#4660)
- [Pattern] New Pattern Configurator UI @Abhishek-kumar09 (#4464)

## 🧰 Maintenance

- removed extra sleep time from workflow @Revolyssup (#4677)
- fixed invalid yaml @Revolyssup (#4676)
- Workflowforadapters @Revolyssup (#4672)
- Fix 'UI build' PR workflow job - provider-ui npm ERR! code EBADPLATFORM due to how optional dependencies are resolved in npm v6 @MarioArriaga92 (#4675)
- fixed failing builds @Revolyssup (#4645)
- Add a flag and make recipe to skip k8s component generation in dev env @Revolyssup (#4626)
- Bump @fortawesome/free-solid-svg-icons from 5.15.3 to 5.15.4 in /ui @dependabot (#4616)
- Bump nodemon from 2.0.13 to 2.0.15 in /provider-ui @dependabot (#4609)
- Bump eslint-plugin-react from 7.26.1 to 7.27.0 in /provider-ui @dependabot (#4610)
- Bump cypress from 8.5.0 to 9.0.0 in /provider-ui @dependabot (#4608)

## 📖 Documentation

- Workflowforadapters @Revolyssup (#4672)
- Fix 'UI build' PR workflow job - provider-ui npm ERR! code EBADPLATFORM due to how optional dependencies are resolved in npm v6 @MarioArriaga92 (#4675)
- fixed liquid syntax error @warunicorn19 (#4654)
- Fixed broken link @chetak123 (#4650)
- espanol button link fixed and extra code deleted  w/signoff @varunsaral (#4656)
- Add RJSF docs @utkarsh-pro (#4644)
- initial versioning of docs @warunicorn19 (#4560)
- [Docs] Enhance: Warning Section for Replacing logrus @theBeginner86 (#4635)
- Update docs for meshery-smp-action and `mesheryctl perf` updates @navendu-pottekkat (#4631)
- [Extension] RJSF and Pattern Service Form extension @utkarsh-pro (#4603)
- [Docs] Fix: Display adapters' earliest version  @theBeginner86 (#4629)

## 🔒 Security

- [Security] fix CVE-2020-26160 with dgrijalva/jwt-go @s1ntaxe770r (#4598)

## 👨🏽‍💻 Contributors

Thank you to our contributors for making this release possible:
@Abhishek-kumar09, @Chadha93, @DelusionalOptimist, @Juneezee, @MarioArriaga92, @Revolyssup, @Shatakshi0805, @adithyaakrishna, @alphaX86, @bariqhibat, @chetak123, @dependabot, @dependabot[bot], @leecalcote, @manav1403, @navendu-pottekkat, @panyuenlau, @piyushsingariya, @ramrodo, @s1ntaxe770r, @sudo-NithishKarthik, @theBeginner86, @utkarsh-pro, @varunsaral, @vedant-kakde, @warunicorn19 and l5io
